<?php
/*
 * checks each template against valid-one
 */

if ($_SERVER['argc']>1) 
    $_REQUEST['template']=$_SERVER['argv'][1];
else if(!stristr($_SERVER['HTTP_REFERER'],$_SERVER['HTTP_HOST'])) 
    die("unauthorized access");

include('template_validate.php');

$template = $_REQUEST['template'];

include('templates/'.$_REQUEST['template'].'.php');


foreach ($v as $key => $item) { //[data_params] = array 
    foreach ($item as $id => $val) { //[top_scale_type]=data

	if ($id=='all') {
	    foreach ($t[$key] as $rt)
		if (!preg_match($item[$id],$rt))
		    $err[]="wrong parameter \"".$t[$key][$id]."\",".ret_err($val)." in $key=>$id\n";
	    continue;
	}
    
	if ( !isset($t[$key][$id]) ) {
	    $err[]="$key=>$id is not set!\n"; 
	    continue;
	}
	if (stristr($val,"in_array")) {//array index exists
	    if (!isset($t[substr($val,9)][ $t[$key][$id]  ])) {
		$err[]="Array index [$key][".substr($val,9)."][".$t[$key][$id]."] not found as defined in $key=>$id !\n";
	    }
	} elseif (stristr($val,"string")) {
	    foreach ($l["denied_symbols"] as $ds)
		if (stristr($t[$key][$id],$ds)) {
		    $err[]="Symbol $ds not allowed in $key=>$id (".$t[$key][$id].") !\n";
		}
	} else {
	    if (!preg_match($val,$t[$key][$id])) {
		$err[]="wrong parameter \"".$t[$key][$id]."\",".ret_err($val)." in $key=>$id\n";
	    }
	}
    }
}

if (isset($err)) 
    die ("template \"$template\" can't be applied because of the following errors:\n\n".implode("\n",$err));

//update config settings with those defined in chosen template
chdir('../../');
if (file_exists("./include/global.php"))
    @include("./include/global.php");
else
    @include("./include/config.php");
@include_once("./lib/utility.php");
@include_once("./lib/data_query.php");
@include_once("./lib/functions.php");

$curr_tmpl = db_fetch_cell("select value from settings where name='zond_templates'");

if (!empty($curr_tmpl))
    db_execute("update settings set value='$template' where name='zond_templates'");
else
    db_execute("insert into settings (name,value) values ('zond_templates','$template')");

echo "Template changed to \"$template\".\nDon't forget to save changes.";

?>
