<?php

/*
 * DESERT TEMPLATE
 */

$t=array(
	"data_params"	=>	array(
					"top_scale_type"	=>	"data",		// data\time			*
					"bot_scale_type"	=>	"time",		//				*
					"time_format"		=>	"mm:ss",	// mm:ss\ss\yy:mm:ss
					"dimension_open"	=>	"[",
					"dimension_close"	=>	"]"
				    ),
				    
	"sw_params"	=>	array(
					"units"			=>	"bps",		// bps\bit/s			*
					"factor"		=>	1024,		// 1000\1024			*
					"round_digits"		=>	2,		// 
					"traffic_mode"		=>	"true",		// true\false			*
					"fixed_max_scale"	=>	"false",	// true\false			*
					"max_scal_val"		=>	1000,		// -100\1000			*
					"fixed_min_scale"	=>	"false",	//				*
					"min_scal_val"		=>	0,		//				*
					"val_area_size"		=>	5
				    ),
				    
	"outer_params"	=>	array(
					"border_width"		=>	1,
					"line_spacing"		=>	1,
					"font"			=>	"Tahoma",	// Courier\Arial\Tahoma
					"font1_size"		=>	8, 
    					"font2_size"		=>	10,
					"font3_size"		=>	10,
					"graph_title_top"	=>	"",
					"graph_title_bot"	=>	"",
					"axis_title_top"	=>	"",
					"axis_title_bot"	=>	"",
					"axis_title_left"	=>	"",
					"axis_title_right"	=>	"zond plugin",
					"indicator"		=>	"true",		// true\false
					"refresh_interval"	=>	1000,		//				**
					"data_source"		=>	"http://www.com"//				*
				    ),
				    
	"inner_params"	=>	array(
					"step"			=>	1,		//				**
					"horz_inner_margin"	=>	5,
					"vert_inner_margin"	=>	5,
					"maj_vert_grid_dens"	=>	40,
					"min_vert_grid_dens"	=>	5,
					"maj_horz_grid_dens"	=>	40,
					"min_horz_grid_dens"	=>	5,
					"bot_index_display"	=>	0,		//				**
					"top_index_display"	=>	1,		//				**
					"right_axis"		=>	"true",		// true\false
					"left_axis"		=>	"true",
					"rotated_bot_axis"	=>	"false",	// true\false
					"rotated_top_axis"	=>	"false",	
					"indicator_type"	=>	"solid",	// solid\dash
					"indicator_width"	=>	1,
					"legend_spacing"	=>	1,
					"legend_per_line"	=>	2,		//				*
					"legend_layout"		=>	"static",	// static\dynamic
					"retain_axis_colors"	=>	"false"		// true\false
				    ),
	"colors"	=>	array(
					0	=>	"233,118,3",
					1	=>	"233,233,3",
					2	=>	"196,160,97",
					3	=>	"202,128,2",
					4	=>	"0,128,0",
					5	=>	"151,97,21",
					6	=>	"0,0,0",
					7	=>	"109,111,183",
					8	=>	"255,255,255",
					9	=>	"192,0,0",
					10	=>	"128,128,225",
					11	=>	"233,215,3",
					12	=>	"233,139,3",
				    ),

	"color_map"	=>	array(
					"gr_border_start"	=>	1,
					"gr_border_end"		=>	0,
					"gr_backg_start"	=>	0,
					"gr_backg_end"		=>	1,
					"gr_title"		=>	4,
					"min_grid"		=>	2,
					"maj_grid"		=>	3,
					"chart_border"		=>	3,
					"axis_val"		=>	5,
					"on-chart_val"		=>	7,
					"indicator"		=>	8,
					"legend"		=>	6,
					"axies_labels"		=>	7,
					"chart_backg_start"	=>	12,
					"chart_backg_end"	=>	11,
					"label_rect_border"	=>	12
				    ),
	
	"sw_string"	=>	array(
					"data_source_id"	=>	0,		//							*
					"chart_type"		=>	"line",		// line\plot\bars\ stack-line\stack-plot\stack-bars	*,**
					"fill_color_start"	=>	11,		//							*
					"fill_color_end"	=>	12,		//							*
					"alpha_transparnc"	=>	215,		// [0-255]						*
					"smooth_edges"		=>	"true",		// ture\false
					"show_details"		=>	"true",		// ture\false
					"name_in_lgd"		=>	"line-1",
					"units_in_lgd"		=>	"true",		// ture\false
					"curr_val_in_lgd"	=>	"true",
					"line_type"		=>	"solid",
					"line_width"		=>	1,
					"on_chart_values"	=>	"false",
					"darken_contours"	=>	"false",
					"hide_data_source"	=>	"false"
				    )
    );

?>