<?php

/*
 * OCEAN TEMPLATE
 */

$t=array(
	"data_params"	=>	array(
					"top_scale_type"	=>	"data",		// data\time
					"bot_scale_type"	=>	"time",
					"time_format"		=>	"mm:ss",	// mm:ss\ss\yy:mm:ss
					"dimension_open"	=>	"[",
					"dimension_close"	=>	"]"
				    ),
				    
	"sw_params"	=>	array(
					"units"			=>	"bps",		// bps\bit/s
					"factor"		=>	1024,		// 1000\1024
					"round_digits"		=>	2,		// 
					"traffic_mode"		=>	"true",		// true\false
					"fixed_max_scale"	=>	"false",	// true\false
					"max_scal_val"		=>	1000,		// -100\1000
					"fixed_min_scale"	=>	"false",
					"min_scal_val"		=>	0,
					"val_area_size"		=>	5
				    ),
				    
	"outer_params"	=>	array(
					"border_width"		=>	2,
					"line_spacing"		=>	1,
					"font"			=>	"Courier",	// Courier\Arial\Tahoma
					"font1_size"		=>	8, 
    					"font2_size"		=>	8,
					"font3_size"		=>	8,
					"graph_title_top"	=>	"",
					"graph_title_bot"	=>	"",
					"axis_title_top"	=>	"",
					"axis_title_bot"	=>	"",
					"axis_title_left"	=>	"",
					"axis_title_right"	=>	"zond plugin",
					"indicator"		=>	"true",		// true\false
					"refresh_interval"	=>	1000,
					"data_source"		=>	"http://www.com"
				    ),
				    
	"inner_params"	=>	array(
					"step"			=>	5,
					"horz_inner_margin"	=>	5,
					"vert_inner_margin"	=>	5,
					"maj_vert_grid_dens"	=>	50,
					"min_vert_grid_dens"	=>	10,
					"maj_horz_grid_dens"	=>	50,
					"min_horz_grid_dens"	=>	10,
					"bot_index_display"	=>	0,
					"top_index_display"	=>	1,
					"right_axis"		=>	"true",		// true\false
					"left_axis"		=>	"true",
					"rotated_bot_axis"	=>	"false",	// true\false
					"rotated_top_axis"	=>	"false",	
					"indicator_type"	=>	"solid",	// solid\dash
					"indicator_width"	=>	1,
					"legend_spacing"	=>	1,
					"legend_per_line"	=>	2,
					"legend_layout"		=>	"dynamic",	// static\dynamic
					"retain_axis_colors"	=>	"false"		// true\false
				    ),
	"colors"	=>	array(
					0	=>	"0,0,0",
					1	=>	"151,151,151",
					2	=>	"255,128,0",
					3	=>	"0,65,0",
					4	=>	"50,100,0",
					5	=>	"51,255,102",
					6	=>	"255,153,102",
					7	=>	"255,187,59",
					8	=>	"0,255,255",
					9	=>	"255,0,0",
					10	=>	"255,255,0",
					11	=>	"255,128,0"
				    ),
	"color_map"	=>	array(
					"gr_border_start"	=>	0,
					"gr_border_end"		=>	0,
					"gr_backg_start"	=>	0,
					"gr_backg_end"		=>	0,
					"gr_title"		=>	2,
					"min_grid"		=>	3,
					"maj_grid"		=>	4,
					"chart_border"		=>	4,
					"axis_val"		=>	5,
					"on-chart_val"		=>	5,
					"indicator"		=>	6,
					"legend"		=>	7,
					"axies_labels"		=>	2,
                                        "chart_backg_start"     =>      0,
                                        "chart_backg_end"       =>      0,
                                        "label_rect_border"     =>      0
				    ),
	
	"sw_string"	=>	array(
					"data_source_id"	=>	0,
					"chart_type"		=>	"line",		// line\plot\bars\ stack-line\stack-plot\stack-bars
					"fill_color_start"	=>	8,
					"fill_color_end"	=>	8,
					"alpha_transparnc"	=>	200,		// [0-255]
					"smooth_edges"		=>	"true",		// ture\false
					"show_details"		=>	"true",		// ture\false
					"name_in_lgd"		=>	"line-1",
					"units_in_lgd"		=>	"true",		// ture\false
					"curr_val_in_lgd"	=>	"true",
					"line_type"		=>	"solid",
					"line_width"		=>	1,
					"on_chart_values"	=>	"false",
					"darken_contours"	=>	"false",
					"hide_data_source"	=>	"false"
				    )
    );

?>